Bug 21192 - on-board NIC non-functional if EFI uses it first
Summary: on-board NIC non-functional if EFI uses it first
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: ia64 Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-21 17:35 UTC by Matt Domsch
Modified: 2005-10-31 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-11 21:06:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nicreset.efi (577.00 KB, application/octet-stream)
2000-11-21 17:36 UTC, Matt Domsch
no flags Details

Description Matt Domsch 2000-11-21 17:35:37 UTC
On Intel Lion systems, all BIOS versions <= 1063 at least, Linux cannot 
communicate via the on-board Intel NIC if EFI first tried to use the NIC.  
As ACPI PXE boot is now enabled in the BIOS, a system may try to PXE boot, 
fail, and then drop to the EFI shell and start Linux.  In this case, the 
NIC driver (e100 or eepro100) loads just fine, but does not work.  No data 
is transmitted or received.

Dell developed a 'nicreset.efi' application to reset the NIC prior to 
starting Linux, which solves this problem.  I'm encouraging Dell to 
release the code under a GPL-compatable license, so that at worst case the 
Linux distributions may include this app in their loader, and best-case, 
we can fix the NIC drivers to do this automatically.

Comment 1 Matt Domsch 2000-11-21 17:36:57 UTC
Created attachment 5623 [details]
nicreset.efi

Comment 2 Glen Foster 2001-01-11 21:03:22 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 3 Bill Nottingham 2001-01-11 21:06:11 UTC
a) this is alread fixed in ELI
b) it's a firmware bug anyways, that is fixed in recent firmware.

I should have closed this a while ago. :)

Comment 4 Matt Domsch 2001-01-11 21:42:05 UTC
Agreed, this is fixed in the 12/07 release.



Note You need to log in before you can comment on or make changes to this bug.